Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807660 - Duration field accepts hyphen (-) character
Summary: Duration field accepts hyphen (-) character
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.4
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: RHQ 4.4.0
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 12:33 UTC by Sunil Kondkar
Modified: 2013-08-31 10:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 10:12:18 UTC


Attachments (Terms of Use)

Description Sunil Kondkar 2012-03-28 12:33:40 UTC
Description of problem:

While creating an alert definition for availability duration, the 'Duration' field accepts hyphen (-) character with a number (Ex: -2). 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Navigate to Alerts->Definition tab of a resource
2.Click on New button
3.Enter the alert name
4. Click on the Conditions tab
5. Click on 'Add' button
6. Select 'Availability Duration' condition type
7. in 'Duration' field, enter hyphen character with a number (Ex: -2)
8. Click on OK button
9. Click on Save button
  
Actual results:

Duration field accepts hyphen (-) character

Expected results:

validation for invalid value with a red mark and user should not be able to click OK button.

Additional info:

Comment 1 Sunil Kondkar 2012-03-28 13:04:25 UTC
Build#1203 (Version: 4.4.0-SNAPSHOT Build Number: 969ed45)

Comment 2 Jay Shaughnessy 2012-04-02 14:35:07 UTC
master commit 9f328eaf22f68f9a6c549d5d4b30c154a15de78b

Replaced TextItem entry with our DurationItem widget. This gives us
consistency, reusability and validation.  Allow value in minutes or
hours, Duration should be displayed in minutes in the condition.

Comment 3 Sunil Kondkar 2012-04-17 11:58:44 UTC
Verified on Version: 4.4.0-SNAPSHOT Build Number: 0fe1b14

Verified by choosing the duration values in mins and hours from duration dropdown.
The values are displayed in minutes in 'condition' tab. Invalid entries (Ex: with hyphen character display a red mark with a tool tip 'Must be atleast 1'.)

Comment 4 Heiko W. Rupp 2013-08-31 10:12:18 UTC
Bulk close of old bugs in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.